import {
  Controller,
  Get,
  Param,
  Post,
  UseInterceptors,
  ClassSerializerInterceptor,
} from '@nestjs/common';
import { ReplayService } from './replay.service';

@Controller('replay')
export class ReplayController {
  constructor(private replayservice: ReplayService) {}

  // gets replay data for specified Game
  @Get(':id')
  @UseInterceptors(ClassSerializerInterceptor)
  async replayInfo(@Param('id') gameId) {
    return this.replayservice.replayData(gameId);
  }

  // gets mockdata for specified Game
  @Post('mockdata/:id')
  async mockData(@Param('id') gameId) {
    return this.replayservice.mockdata(gameId);
  }
}
